Skip to main content

Starting March 27, 2026, RC is rebranded as Nexconn. Existing RC SDK customers can continue using this documentation. New customers should refer to the Nexconn developer documentation.

Query Group Member Push Alias

Retrieve the push alias displayed in the group message push notification for a specified user (userId) in a specified group (groupId).

Request Method

POST: https://data center domain/group/remarks/get.json

Rate Limit: 100 requests per second

Signature Rule: All server API requests must follow the signature verification rules. For details, refer to API Request Signature.

Body Parameters

The HTTP request body data format is application/x-www-form-urlencoded, and it supports the following HTTP form parameters:

ParameterTypeRequiredDescription
userIdStringYesThe user ID of the group member.
groupIdStringYesThe group ID.

Request Example

POST /group/remarks/get.json HTTP/1.1
Host: api.rong-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/x-www-form-urlencoded

userId=uid1&groupId=100

Response

The HTTP response body contains a JSON object with the following structure:

Return ValueReturn TypeDescription
codeNumberThe return code, 200 indicates success.
remarkStringThe alias name.

Response Example

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"code":200,
"remark":"name1"
}